﻿Option Strict On
Option Explicit On

Namespace Dialog
    Public Class TaskDialogEdit

#Region "New"
        Public Sub New(EditPosition As TaskDialogEditPosition,
                       Optional EditText As String = "",
                       Optional PasswordEdit As Boolean = False)
            With m_DialogEdit
                .EditPosition = EditPosition
                .EditText = EditText
                .PasswordEdit = PasswordEdit
            End With
        End Sub
#End Region

#Region "Enum"
        Public Enum TaskDialogEditPosition As Integer
            InButtonArea = 0
            InContentArea = 1
            InFooterArea = 2
        End Enum
#End Region

#Region "Structure"
        Private Structure DialogEdit
            Dim EditPosition As Integer
            Dim EditText As String
            Dim PasswordEdit As Boolean
        End Structure
#End Region

#Region "Variable"
        Private m_DialogEdit As DialogEdit
#End Region

#Region "Properties"
        Public Property EditPosition() As TaskDialogEditPosition
            Get
                Return CType(m_DialogEdit.EditPosition, TaskDialogEditPosition)
            End Get
            Set(value As TaskDialogEditPosition)
                m_DialogEdit.EditPosition = value
            End Set
        End Property

        Public Property EditText() As String
            Get
                Return m_DialogEdit.EditText
            End Get
            Set(value As String)
                m_DialogEdit.EditText = value
            End Set
        End Property

        Public Property PasswordEdit() As Boolean
            Get
                Return m_DialogEdit.PasswordEdit
            End Get
            Set(value As Boolean)
                m_DialogEdit.PasswordEdit = value
            End Set
        End Property

#End Region

    End Class

End Namespace

